APIReferencePublic
Open Source Contributions, streaks and public goals of a user. 404 when the user doesn't exist or turned their profile off.
Open Source Contributions, streaks and public goals of a user. 404 when the user doesn't exist or turned their profile off.
login*string^[A-Za-z0-9-]{1,39}$year?integerA calendar year; the last 12 months when omitted
2008 <= value <= 2100Default Response
application/jsonlogin*stringname*stringavatarUrl*string|nullbio*string|nullgithubUrl*stringstats*goals*array<>curl -X GET 'https://example.com/api/v1/public/profiles/string'{ "login": "string", "name": "string", "avatarUrl": "string", "bio": "string", "githubUrl": "string", "stats": { "period": { "from": "string", "to": "string", "year": -9007199254740991 }, "total": -9007199254740991, "days": [ { "date": "string", "count": -9007199254740991 } ], "byKind": { "property1": -9007199254740991, "property2": -9007199254740991 }, "byRepo": [ { "fullName": "string", "url": "string", "license": "string", "count": -9007199254740991 } ], "mergedPullRequests": [ { "title": "string", "url": "string", "repo": { "fullName": "string", "url": "string", "license": "string" }, "mergedAt": "2019-08-24T14:15:22Z" } ], "streaks": { "period": "week", "week": { "current": -9007199254740991, "longest": -9007199254740991, "currentStart": "string", "lastCountedPeriod": "string" }, "day": { "current": -9007199254740991, "longest": -9007199254740991, "currentStart": "string", "lastCountedPeriod": "string" } }, "years": [ -9007199254740991 ], "lastSyncedAt": "2019-08-24T14:15:22Z" }, "goals": [ { "id": "string", "metric": "string", "target": -9007199254740991, "recurrence": "none", "endsOn": "string", "repoScope": "all", "repo": { "fullName": "string", "url": "string" }, "current": { "start": "string", "end": "string", "progress": -9007199254740991, "achievedAt": "2019-08-24T14:15:22Z" } } ]}